%define oname   pry

Name:       ruby-%{oname}
Epoch:      1
Version:    0.10.3
Release:    %mkrel 3
Summary:    An IRB alternative and runtime developer console
License:    Ruby License and MIT
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/text-format/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Pry is a powerful alternative to the standard IRB shell for Ruby. It is written
from scratch to provide a number of advanced features.

Pry also aims to be more than an IRB replacement; it is an attempt to bring
REPL driven programming to the Ruby language. It is currently not as powerful
as tools like SLIME for lisp, but that is the general direction Pry is heading.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i 's/~> 3.4/> 3.4/g' ../%{oname}-%{version}.gemspec

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/pry
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Thu Nov 03 2016 pterjan <pterjan> 1:0.10.3-3.mga6
+ Revision: 1064801
- Use sed to update dependency

* Fri Apr 15 2016 daviddavid <daviddavid> 1:0.10.3-2.mga6
+ Revision: 1001589
- add a patch to fix dependency on ruby-slop

* Sun Jan 10 2016 pterjan <pterjan> 1:0.10.3-1.mga6
+ Revision: 921130
- Update to 0.10.3

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.12.6-3.mga5
+ Revision: 746591
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.9.12.6-2.mga5
+ Revision: 688909
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 pterjan <pterjan> 1:0.9.12.6-1.mga5
+ Revision: 634627
- 0.9.12.6

* Sat Dec 28 2013 pterjan <pterjan> 1:0.9.12.2-5.mga4
+ Revision: 561539
- Fix gem macros

* Tue Oct 29 2013 pterjan <pterjan> 1:0.9.12.2-4.mga4
+ Revision: 547781
- Soften dependencies

* Sat Oct 19 2013 umeabot <umeabot> 1:0.9.12.2-3.mga4
+ Revision: 535651
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1:0.9.12.2-2.mga4
+ Revision: 482282
- Rebuild for Ruby 2

* Mon Sep 16 2013 pterjan <pterjan> 1:0.9.12.2-1.mga4
+ Revision: 480183
- 0.9.12.2
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1:0.9.10-3.mga3
+ Revision: 396279
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1:0.9.10-2.mga3
+ Revision: 381255
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 shlomif <shlomif> 1:0.9.10-1.mga3
+ Revision: 314364
- Importing the ruby-pry pkg based on the Mga ruby-text-hyphen

